package com.ruoyi.project.business.service;

import java.util.List;
import com.ruoyi.project.business.domain.TcFollow;
import com.ruoyi.project.business.domain.TcFollowForList;
import org.springframework.data.util.Pair;

/**
 * 【跟进管理】Service接口
 * 
 * @author ruoyi
 * @date 2024-04-07
 */
public interface ITcFollowService 
{
    /**
     * 查询【跟进管理】
     * 
     * @param followId 【跟进管理】主键
     * @return 【跟进管理】
     */
    public TcFollow selectTcFollowByFollowId(Long followId);

    /**
     * 查询【跟进管理】列表
     * 
     * @param tcFollow 【跟进管理】
     * @return 【跟进管理】集合
     */
    public List<TcFollowForList> selectTcFollowList(TcFollow tcFollow);

    /**
     * 新增【跟进管理】
     * 
     * @param tcFollow 【跟进管理】
     * @return 结果
     */
    public int insertTcFollow(TcFollow tcFollow);

    /**
     * 修改【跟进管理】
     * 
     * @param tcFollow 【跟进管理】
     * @return 结果
     */
    public int updateTcFollow(TcFollow tcFollow);

    /**
     * 批量删除【跟进管理】
     * 
     * @param followIds 需要删除的【跟进管理】主键集合
     * @return 结果
     */
    public int deleteTcFollowByFollowIds(Long[] followIds);

    /**
     * 删除【跟进管理】信息
     * 
     * @param followId 【跟进管理】主键
     * @return 结果
     */
    public int deleteTcFollowByFollowId(Long followId);

    /**
     * 获取新的跟进编号
     *
     * @return 结果
     */
    public String getNewFollowNo();

    List<TcFollow> selectTcFollowListByTypeAndBusinessId(TcFollow tcFollow);

    /**
     * 查询客户相关跟进管理列表
     *
     * @param tcFollow 跟进管理
     * @return 结果
     */
    List<TcFollowForList> selectTcFollowListByAccount(TcFollow tcFollow);

    List<Pair<Long, String>> selectCountriesByCurUser();
}
